Bug 143529 - Can't mount cdrom
Can't mount cdrom
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 17:47 EST by Need Real Name
Modified: 2015-01-04 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 00:48:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
same prob... ide cd/dvd on secondary channel, FC3 (14.31 KB, text/plain)
2005-01-01 18:48 EST, Dan Ryder
no flags Details

  None (edit)
Description Need Real Name 2004-12-21 17:47:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:

From /var/log/messages:

Dec 21 17:20:25 warren kernel: hda: irq timeout: status=0xd0 { Busy }
Dec 21 17:20:25 warren kernel: hda: irq timeout:
error=0xd0LastFailedSense 0x0d 
Dec 21 17:20:25 warren kernel: hda: DMA disabled
Dec 21 17:20:25 warren kernel: hda: ATAPI reset complete
Dec 21 17:20:25 warren sshd(pam_unix)[4291]: session opened for user
root by (uid=0)
Dec 21 17:20:44 warren kernel: hda: irq timeout: status=0xd0 { Busy }
Dec 21 17:20:44 warren kernel: hda: irq timeout:
error=0xd0LastFailedSense 0x0d 
Dec 21 17:20:45 warren kernel: hda: ATAPI reset complete
Dec 21 17:21:04 warren kernel: hda: irq timeout: status=0xd0 { Busy }
Dec 21 17:21:04 warren kernel: hda: irq timeout:
error=0xd0LastFailedSense 0x0d 
Dec 21 17:21:04 warren kernel: hda: ATAPI reset complete
Dec 21 17:21:23 warren kernel: hda: irq timeout: status=0xd0 { Busy }
Dec 21 17:21:23 warren kernel: hda: irq timeout:
error=0xd0LastFailedSense 0x0d 
Dec 21 17:21:23 warren kernel: hda: ATAPI reset complete


And so on.  Things worked before I upgraded to udev-039-10.FC3.6.

From /var/log/dmesg:

ICH4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xbfa8-0xbfaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: _NEC DVD+RW ND-5100A, ATAPI CD/DVD-ROM drive
Using cfq io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: HTS726060M9AT00, ATA DISK drive
ide1 at 0x170-0x177,0x376 on irq 15
Probing IDE interface ide2...
ide2: Wait for ready failed before probe !
Probing IDE interface ide3...
ide3: Wait for ready failed before probe !
Probing IDE interface ide4...
ide4: Wait for ready failed before probe !
Probing IDE interface ide5...
ide5: Wait for ready failed before probe !
hdc: max request size: 1024KiB
hdc: 117210240 sectors (60011 MB) w/7877KiB Cache, CHS=16383/255/63,
UDMA(100)
hdc: cache flushes supported
 hdc: hdc1 hdc2 hdc3 hdc4
hda: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20


Version-Release number of selected component (if applicable):
Linux version 2.6.9-1.681_FC3
udev-039-10.FC3.6

How reproducible:
Always

Steps to Reproduce:
1. Insert cdrom
2. Close cdrom drive
3. 
    

Actual Results:  The system produces the log messages included above
and fails to mount the cd.

Expected Results:  The system should mount cds.

Additional info:

Dell Inspiron 5150 that gave no problems under FC2.

FC3 has produced a few other issues.  Sometimes the machine comes up
with all of its network adapters enabled even though they're all set
to be disabled on boot.  Sometimes the system hangs without warning. 
The display simply freezes and stops responding to the keyboard, mouse
or network.  Sometimes after a boot about half of all key presses
result in more than one character.

And this could be relevant too: when I add physical memory, going from
1GB to 2GB, FC3 handles the memory fine but can no longer work the
Ethernet port.  Windows can handle both so it doesn't seem like a
hardware problem.
Comment 1 Harald Hoyer 2004-12-22 03:47:22 EST
hmm, does it work again, if you downgrad to an older udev version?
Comment 2 Need Real Name 2004-12-22 11:20:04 EST
Sorry, should have thought of that.  It does not work if I downgrade,
which suggests I was wrong to blame udev in the first place.  What
should I try next?  Hotplug?

Thanks
Comment 3 Harald Hoyer 2004-12-23 04:45:03 EST
btw, with the original FC3 udev, CDROM mounting indeed did not work
for non-root users :) so do not test downgrading with that version, or
try to mount as user "root".

hmm... did you upgrade your kernel?
Dec 21 17:21:04 warren kernel: hda: ATAPI reset complete
Dec 21 17:21:23 warren kernel: hda: irq timeout: status=0xd0 { Busy }
Dec 21 17:21:23 warren kernel: hda: irq timeout:
error=0xd0LastFailedSense 0x0d 
Dec 21 17:21:23 warren kernel: hda: ATAPI reset complete

hmm, this really sounds like a loose cable, a broken drive...

I would ask the kernel guys..
Comment 4 Need Real Name 2004-12-24 03:20:48 EST
Thanks.  Windows seems happy with the CDROM drive so I doubt it's a
hardware problem.  So, should I submit a bug report for the kernel?
Comment 5 Dan Ryder 2005-01-01 18:48:05 EST
Created attachment 109223 [details]
same prob... ide cd/dvd on secondary channel, FC3

info in the attachment
Comment 6 Harald Hoyer 2005-01-03 03:04:53 EST
reassigning to kernel
Comment 7 Paul Johnson 2005-01-04 15:19:10 EST
I think this is the same bug as I report here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=137831
Comment 8 Need Real Name 2005-01-05 00:45:07 EST
I upgraded the kernel and I don't know whether that was what did it
but the CD drive is working again.  I think some of my stability
issues had to do with Linuxant driverloader and possibly VMWare.

New kernel: Linux version 2.6.9-1.724_FC3smp
(bhcompile@bugs.build.redhat.com) (gcc version 3.4.2 20041017 (Red Hat
3.4.2-6.fc3)) #1 SMP Sun Jan 2 15:56:53 EST 2005

Thanks!

Note You need to log in before you can comment on or make changes to this bug.